First Topic

ICO file format support

ACD Systems plug-in enabled software uses the ID_ICO plug-in to view ICO (Microsoft Windows® icon) and ICL (icon library file) file formats. This is the standard Windows icon format. Most desktop icons are stored in this format, although they are usually embedded within other files (such as EXE and DLL files).

Icons can be 16 or 256 colors, and can have transparent areas. They must be one of three standard sizes: 16x16, 32x32 and 48x48. A single .ico file can contain different resolutions and color depths of an icon.

You can set the plug-in options to display icons in .EXE or .DLL files, and to show only the highest resolution.

To set the ID_ICO plug-in options:

  1. In the Plug-in Settings dialog box, select the Image Decode tab.

  2. In the Image decoding plug-ins list, select the ID_ICO plug-in.

  3. Click the Properties button.

  4. In the About ID_ICO dialog box, select or clear any of the following options:

    • Show icons in .EXE files: This option displays any .EXE files with embedded icons as images.

    • Show icons in .DLL files: This option displays any .DLL files with embedded icons as images.

    • Show highest resolution only: This option displays icons using the highest available resolution.

  5. Click OK.